<?php
 
session_start();
$com="M";
include("DMMYSQLG.php");
include("DMMYSQLG.php");


?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
//empleado 
if ($_POST['bot']!=''){

$i=0; 

foreach($_POST['bot'] as $id) 
{ 
$idc[$i]=$id; 

if($id=='')continue;
$sql_bf=mysqli_query($con ,"select * from dgger_cajerosj where pedido='$idc[$i]'");

echo "<br/>";

$regp=mysqli_fetch_array($sql_bf);

$fecha=mysqli_query($con ,"select * from dgpemema where con_ven='$idc[$i]'");

$regdate=mysqli_fetch_array($fecha);

if($dt_empres['fec_alta']!=$regdate['fec_ven']){

echo '<h2 STYLE="COLOR:RED">!!! FOLIOS NO CANCELADOS POR NO SER DE HOY !!! </h2>'.$idc[$i];
echo '<h2 STYLE="COLOR:RED">!!!ESTOS FOLIOS NO SON DE HOY  EL PERMISO ESPECIAL CADUCA HOY A LAS 3:00PM!!! </h2>'.$idc[$i];
					echo '<meta content="3; url=ven_cancelacion_PR.php"  HTTP-EQUIV="REFRESH">';
					exit();
}
//echo $regp['pedido'];
$imp_pag = $regdate["imp_pag"];
$obs=$_GET["tm"];
mysqli_query($con ,"UPDATE dgger_cajerosj SET imp_pag='0', cancelado='1', mov_can='$obs' WHERE n_rec = '".$regp['n_rec']."'");
//"UPDATE dgger_cajerosj SET num_cli='',importe=0,cambio=0,imp_pag='0', cancelado='1', mov_can='$obs' WHERE n_rec = '".$regp['n_rec']."'"
echo mysqli_error($con);
//echo "UPDATE dgger_cajerosj SET num_cli='',importe=0,cambio=0,imp_pag='0', cancelado='1', mov_can='".$obs."' WHERE n_rec = '".$regp['n_rec']."'</br>";
mysqli_query($con ,"UPDATE dgpemema SET imp_pag='0',imp_not=$imp_pag , cancela='1', mt_cancela='$obs' WHERE fol_ven = '$idc[$i]'");
echo mysqli_error($con);
//echo "UPDATE dgpemema SET imp_pag='0', cancela='1', mt_cancela='".$obs."' WHERE fol_ven = '".$idc[$i]."'</br>";

$i++; 
} 
}


if ($_POST['bot2']!=''){
$i=0; 
foreach($_POST['bot2'] as $id) 
{ 
echo $idc[$i]=$id; 
$sql_bf=mysqli_query($con ,"select pedido from dgger_cajerosj where fol_unp='$idc[$i]'");
while ($regp=mysqli_fetch_array($sql_bf)){
echo $regp['pedido'];
//mysqli_query($con ,"UPDATE dgpemema SET imp_pag='0', cancela='1', mt_cancela='$obs' WHERE fol_ven = '".$regp['pedido']."'");
//echo mysqli_error($con);
}

$obs=$_GET["tm"];
//mysqli_query($con ,"UPDATE dgger_cajerosj SET num_cli='',importe=0,cambio=0,imp_pag='0', cancelado='1', mov_can='$obs' WHERE fol_unp = '$idc[$i]'");
//echo mysqli_error($con);
$i++; 
} 
}
			
					echo '<h2>!!! FOLIOS CANCELADOS!!!</h2>';
					echo '<meta content="1; url=ven_cancelacion_PR.php"  HTTP-EQUIV="REFRESH">';
					exit();
			
?>
</body>
</html>
